#!/usr/bin/python3
import sys
from Registry import Registry

reg = Registry.Registry(sys.argv[1])
print("Analiza części SOFTWARE rejestru Windows...")
try:
    key = reg.open("Microsoft\\Windows\\CurrentVersion\\Run")
    print("Ostatnia modyfikacja: %s [UTC]" % key.timestamp())
    for value in key.values():
        print("Nazwa: " + value.name() + ", ścieżka: " + value.value())
except Registry.RegistryKeyNotFoundException as exception:
    print("Wyjątek:", exception)